<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BitNodeBooleanOptions](./bitburner.bitnodebooleanoptions.md)

## BitNodeBooleanOptions interface

Note:

- restrictHomePCUpgrade: The home computer's maximum RAM and number of cores are lower than normal. Max RAM: 128GB. Max core: 1.

- disableSleeveExpAndAugmentation: Your Sleeves do not gain experience when they perform action. You also cannot buy augmentations for them.

**Signature:**

```typescript
export interface BitNodeBooleanOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [disable4SData](./bitburner.bitnodebooleanoptions.disable4sdata.md) |  | boolean |  |
|  [disableBladeburner](./bitburner.bitnodebooleanoptions.disablebladeburner.md) |  | boolean |  |
|  [disableCorporation](./bitburner.bitnodebooleanoptions.disablecorporation.md) |  | boolean |  |
|  [disableGang](./bitburner.bitnodebooleanoptions.disablegang.md) |  | boolean |  |
|  [disableHacknetServer](./bitburner.bitnodebooleanoptions.disablehacknetserver.md) |  | boolean |  |
|  [disableSleeveExpAndAugmentation](./bitburner.bitnodebooleanoptions.disablesleeveexpandaugmentation.md) |  | boolean |  |
|  [restrictHomePCUpgrade](./bitburner.bitnodebooleanoptions.restricthomepcupgrade.md) |  | boolean |  |

